import { LRLanguage, LanguageDescription, LanguageSupport } from "@codemirror/language";
import { Tag } from "@lezer/highlight";
declare const mermaidLanguage: LRLanguage;
declare const mindmapLanguage: LRLanguage;
declare const pieLanguage: LRLanguage;
declare const flowchartLanguage: LRLanguage;
declare const mermaidLanguageDescription: LanguageDescription;
declare const mindmapLanguageDescription: LanguageDescription;
declare const pieLanguageDescription: LanguageDescription;
declare const flowchartLanguageDescription: LanguageDescription;
declare function mermaid(): LanguageSupport;
declare function mindmap(): LanguageSupport;
declare function pie(): LanguageSupport;
declare function flowchart(): LanguageSupport;
declare const mermaidTags: {
    diagramName: Tag;
};
declare const mindmapTags: {
    diagramName: Tag;
    lineText1: Tag;
    lineText2: Tag;
    lineText3: Tag;
    lineText4: Tag;
    lineText5: Tag;
};
declare const pieTags: {
    diagramName: Tag;
    lineComment: Tag;
    number: Tag;
    showData: Tag;
    string: Tag;
    title: Tag;
    titleText: Tag;
};
declare const flowchartTags: {
    diagramName: Tag;
    keyword: Tag;
    lineComment: Tag;
    link: Tag;
    nodeEdge: Tag;
    nodeEdgeText: Tag;
    nodeId: Tag;
    nodeText: Tag;
    number: Tag;
    orientation: Tag;
    string: Tag;
};
export { mermaidLanguage, mindmapLanguage, pieLanguage, flowchartLanguage, mermaidLanguageDescription, mindmapLanguageDescription, pieLanguageDescription, flowchartLanguageDescription, mermaid, mindmap, pie, flowchart, mermaidTags, mindmapTags, pieTags, flowchartTags };
